What are the system requirements to access Mango?

Users need a modern browser and an internet connection to access Mango Languages on a computer.

Mango works best on the following browsers:

Firefox: 25.0 and +

Chrome: 31.0 and +

Safari: 6.0.5 and + 

IE: 10.0 and +

Our improved website does not require flash, however, if you are connecting through Mango Classic, Adobe Flash is required.  


Have more questions? Submit a request


Article is closed for comments.
Powered by Zendesk